-- by modelleicher
-- ls-modcompany.com

-- 05.04.2020


clickLatchLoaderImplement = {}

function clickLatchLoaderImplement.prerequisitesPresent(specializations)
    return true;
end;

function clickLatchLoaderImplement.registerEventListeners(vehicleType)	
	SpecializationUtil.registerEventListener(vehicleType, "onLoad", clickLatchLoaderImplement);		
end;


function clickLatchLoaderImplement:onLoad(savegame)
	self.spec_clickLatchLoaderImplement = {};
	
	self.spec_clickLatchLoaderImplement.latchRefNode = I3DUtil.indexToObject(self.components, getXMLString(self.xmlFile.handle, "vehicle.clickLatchLoaderImplement#latchRefNode"), self.i3dMappings);
end;
